求助Ubuntu 14.04LTS 尝试升级至 16.04LTS时失败的问题

系统安装、升级讨论
回复
mgqqlwq
帖子: 85
注册时间: 2013-06-18 17:26
送出感谢: 2 次
接收感谢: 0

求助Ubuntu 14.04LTS 尝试升级至 16.04LTS时失败的问题

#1

帖子 mgqqlwq » 2019-01-28 9:56

Ubuntu 14.04LTS用的有一段时间了,现在想升级至更新一点的版本,但是总是提示错误:

代码: 全选

正在检查软件包管理器
正在读取软件包列表... 完成     
正在分析软件包的依赖关系树        
正在读取状态信息... 完成      
正在构建数据结构... 完成      

正在计算变更

正在计算变更

无法计算升级 

在筹划升级时,一个不可解决问题发生了: 

这可能是由以下原因造成的: 
*升级为 Ubuntu 的预发行版本 
*运行目前的 Ubuntu 预发布版本 
*不是由 Ubuntu 提供的非官方软件包 

如果这些都不生效,请在终端中使用命令 'ubuntu-bug ubuntu-release-upgrader-core' 来报告 bug。 


正在恢复原始系统状态

中止
正在读取软件包列表... 完成     
正在分析软件包的依赖关系树        
正在读取状态信息... 完成      
正在构建数据结构... 完成
在终端中输入的命令如下:

代码: 全选

sudo do-release-upgrade
请问有朋友遇到过同样的情况吗?应该怎么解决呢?
头像
astolia
论坛版主
帖子: 3551
注册时间: 2008-09-18 13:11
送出感谢: 1 次
接收感谢: 592 次

Re: 求助Ubuntu 14.04LTS 尝试升级至 16.04LTS时失败的问题

#2

帖子 astolia » 2019-01-28 10:29

检查/var/log/dist-upgrade/下面的升级日志,看具体哪里出错了
mgqqlwq
帖子: 85
注册时间: 2013-06-18 17:26
送出感谢: 2 次
接收感谢: 0

Re: 求助Ubuntu 14.04LTS 尝试升级至 16.04LTS时失败的问题

#3

帖子 mgqqlwq » 2019-02-02 20:40

astolia 写了:
2019-01-28 10:29
检查/var/log/dist-upgrade/下面的升级日志,看具体哪里出错了
谢谢您的回复!抱歉这两天忘记了,回复晚了。
请问是不是应该看`main.log`这个文件?文件有点长,最后几行有一行的内容是

代码: 全选

2019-01-28 09:34:25,298 ERROR Dist-upgrade failed: 'E:错误,pkgProblemResolver::Resolve 发生故障,这可能是有软件包被要求保持现状的缘故。'
但是我还不清楚怎么解决,我把apt.log和main.log两个文件修改了后缀作为附件,能否请您帮我看下应该怎么解决这个问题,非常感谢!
附件
apt.txt
apt.log
(192.27 KiB) 下载 7 次
main.txt
main.log
(12.89 KiB) 下载 7 次
头像
astolia
论坛版主
帖子: 3551
注册时间: 2008-09-18 13:11
送出感谢: 1 次
接收感谢: 592 次

Re: 求助Ubuntu 14.04LTS 尝试升级至 16.04LTS时失败的问题

#4

帖子 astolia » 2019-02-09 16:49

就是你现在系统上的包存在依赖问题没法升级。一般都是第三方源导致的。
apt.log里有提到一些包,比如gnuplot相关的一些。你可以先把这些包卸载掉,升级后有需要的话再重新安装

代码: 全选

sudo apt purge gnuplot*
这些用户感谢了作者 astolia 于这个帖子:
mgqqlwq (2019-02-13 18:29)
评价: 3.7%
mgqqlwq
帖子: 85
注册时间: 2013-06-18 17:26
送出感谢: 2 次
接收感谢: 0

Re: 求助Ubuntu 14.04LTS 尝试升级至 16.04LTS时失败的问题

#5

帖子 mgqqlwq » 2019-02-09 21:55

astolia 写了:
2019-02-09 16:49
就是你现在系统上的包存在依赖问题没法升级。一般都是第三方源导致的。
apt.log里有提到一些包,比如gnuplot相关的一些。你可以先把这些包卸载掉,升级后有需要的话再重新安装

代码: 全选

sudo apt purge gnuplot*
请问一下形如

代码: 全选

Broken libwxbase3.0-0v5:amd64 破坏 on libwxbase3.0-0 [ amd64 ] < 3.0.0-2 > ( libs )
这样的就是有依赖方面的问题是吧?
我看这样的行还挺多的,这个就只能手动去一个一个卸载了是吧?
先谢过了!顺祝新春快乐!
feng8899
帖子: 713
注册时间: 2008-10-31 3:18
送出感谢: 8 次
接收感谢: 3 次
联系:

Re: 求助Ubuntu 14.04LTS 尝试升级至 16.04LTS时失败的问题

#6

帖子 feng8899 » 2019-02-09 23:25

先软件升级界面源里面的第三方软件关了试试
Ubuntu 桌面培训
Duo T6400 GeForce 9300MGS 4G win10 Lubuntu18.04 64bit双系统奔跑中
P3 667 512M GeForce MX200 Lbuntu10.04
从零开始学游泳 萨顶顶
mgqqlwq
帖子: 85
注册时间: 2013-06-18 17:26
送出感谢: 2 次
接收感谢: 0

Re: 求助Ubuntu 14.04LTS 尝试升级至 16.04LTS时失败的问题

#7

帖子 mgqqlwq » 2019-02-10 17:20

feng8899 写了:
2019-02-09 23:25
先软件升级界面源里面的第三方软件关了试试
谢谢您的回复!
请问一下您是不是指在`软件和更新`里面的`其他软件`里面把所有添加的源都取消掉呢?
图片
附件
2019-02-10 17-16-36屏幕截图.png
软件和更新
feng8899
帖子: 713
注册时间: 2008-10-31 3:18
送出感谢: 8 次
接收感谢: 3 次
联系:

Re: 求助Ubuntu 14.04LTS 尝试升级至 16.04LTS时失败的问题

#8

帖子 feng8899 » 2019-02-11 0:04

mgqqlwq 写了:
2019-02-10 17:20
feng8899 写了:
2019-02-09 23:25
先软件升级界面源里面的第三方软件关了试试
谢谢您的回复!
请问一下您是不是指在`软件和更新`里面的`其他软件`里面把所有添加的源都取消掉呢?
图片
是的
Ubuntu 桌面培训
Duo T6400 GeForce 9300MGS 4G win10 Lubuntu18.04 64bit双系统奔跑中
P3 667 512M GeForce MX200 Lbuntu10.04
从零开始学游泳 萨顶顶
mgqqlwq
帖子: 85
注册时间: 2013-06-18 17:26
送出感谢: 2 次
接收感谢: 0

Re: 求助Ubuntu 14.04LTS 尝试升级至 16.04LTS时失败的问题

#9

帖子 mgqqlwq » 2019-02-13 18:30

astolia 写了:
2019-02-09 16:49
就是你现在系统上的包存在依赖问题没法升级。一般都是第三方源导致的。
apt.log里有提到一些包,比如gnuplot相关的一些。你可以先把这些包卸载掉,升级后有需要的话再重新安装

代码: 全选

sudo apt purge gnuplot*
谢谢,今天升级成功了!
mgqqlwq
帖子: 85
注册时间: 2013-06-18 17:26
送出感谢: 2 次
接收感谢: 0

Re: 求助Ubuntu 14.04LTS 尝试升级至 16.04LTS时失败的问题

#10

帖子 mgqqlwq » 2019-02-13 18:31

feng8899 写了:
2019-02-11 0:04
mgqqlwq 写了:
2019-02-10 17:20
feng8899 写了:
2019-02-09 23:25
先软件升级界面源里面的第三方软件关了试试
谢谢您的回复!
请问一下您是不是指在`软件和更新`里面的`其他软件`里面把所有添加的源都取消掉呢?
图片
是的
还是需要先删除gnuplot不然一直有依赖冲突,不过已经成功了,谢谢!
回复

回到 “系统安装和升级”